<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.deletedrugreport request
 * 
 * @author auto create
 * @since 1.0, 2025.10.22
 */
class AlibabaAlihealthSynergyYzwDeletedrugreportRequest
{
	/** 
	 * 批次号
	 **/
	private $batchNo;
	
	/** 
	 * 药品id
	 **/
	private $drugId;
	
	/** 
	 * 报告上传企业
	 **/
	private $refEntId;
	
	/** 
	 * 报告id
	 **/
	private $reportId;
	
	/** 
	 * 用户id
	 **/
	private $userId;
	
	private $apiParas = array();
	
	public function setBatchNo($batchNo)
	{
		$this->batchNo = $batchNo;
		$this->apiParas["batch_no"] = $batchNo;
	}

	public function getBatchNo()
	{
		return $this->batchNo;
	}

	public function setDrugId($drugId)
	{
		$this->drugId = $drugId;
		$this->apiParas["drug_id"] = $drugId;
	}

	public function getDrugId()
	{
		return $this->drugId;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function setReportId($reportId)
	{
		$this->reportId = $reportId;
		$this->apiParas["report_id"] = $reportId;
	}

	public function getReportId()
	{
		return $this->reportId;
	}

	public function setUserId($userId)
	{
		$this->userId = $userId;
		$this->apiParas["user_id"] = $userId;
	}

	public function getUserId()
	{
		return $this->userId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.deletedrugreport";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
